:root > * {
  --md-default-bg-color: #17181e;
  --md-typeset-color: #fff;
  --md-default-fg-color: #fff;
  --md-default-fg-color--light: #fff;
  --md-footer-fg-color--light: #fff;
  --md-typeset-a-color: #F2B200;
  --md-accent-fg-color: #F2B200;
  --md-default-fg-color--lighter: #2b2d33;
  --md-code-bg-color: #000;
  --md-footer-bg-color--dark: #17181e;
  --md-code-fg-color: #fff;
  --md-typeset-table-sort-icon: #fff;
  --md-code-hl-keyword-color: #F2B200;
}

/* header */
.md-header {
  padding: 0.45rem 0;
}
.md-header,
.md-header .md-tabs {
  background: var(--md-default-bg-color);
}
.md-header--shadow {
  box-shadow: 0 1px 0px rgba(255, 255, 255, 0.12);
}
.md-header__button.md-logo img {
  width: auto;
  height: 1.8rem;
  max-width: 100%;
  object-fit: contain;
}
.md-header__button.md-logo {
  display: inline-flex;
  flex-shrink: 0;
  align-items: center;
  width: 8.8rem;
  height: 2rem;
  padding: 0;
}
.md-search {
  background: #2b2d33;
  padding: 0;
  border-radius: 44px;
}
.md-search__form,
.md-search__input {
  background: transparent;
  border-radius: 44px;
}
[data-md-toggle="search"]:checked ~ .md-header .md-search__form,
.md-search-result__meta {
  background: #2b2d33;
}

/* 左侧导航 */
.md-sidebar--primary {
  width: 14.3rem;
}
.md-sidebar--primary .md-sidebar__scrollwrap {
  margin: 0;
  border-right: 1px solid rgba(255, 255, 255, 0.12);
}
.md-sidebar--primary .md-sidebar__inner {
  padding-right: 0;
}
.md-sidebar--primary .md-nav__item .md-nav__link {
  margin-top: 0 !important;
  height: 40px;
  padding: 0 0.8rem 0 0 !important;
}
.md-sidebar--primary .md-nav__item {
  padding: 0 !important;
}
.md-sidebar--primary .md-nav__list .md-nav__list .md-nav .md-nav__item {
  text-indent: 1rem;
}
.md-sidebar--primary
  .md-nav__list
  .md-nav__list
  .md-nav
  .md-nav__item
  .md-nav__link--active {
  background: #2b2d33;
  box-shadow: 1px 0px 0px rgba(255, 255, 255, 0.12);
  border-radius: 3px 0 0 3px;
}
.md-sidebar--primary .md-nav__link--index {
  display: none;
}

/* main */
.md-main__inner {
  margin-top: 0;
}
.md-typeset h1 {
  font-weight: 700;
  font-size: 2rem;
}

.md-typeset h2 {
  font-weight: 500;
  font-size: 1rem;
}
.md-typeset table th {
  background: #2B2D33 !important;
  white-space: nowrap;
}
.md-typeset table tr:nth-child(2n) {
  background: #2B2D33 !important;
}
.md-typeset .fetch-method,
.md-typeset .fetch-api {
  display: inline-block;
  vertical-align: middle;
  font-size: 0.7rem;
}
.md-typeset .fetch-method {
  color: #00BF75;
}
.md-typeset .fetch-api {
  line-height: 1.4rem;
  background: #2B2D33;
  border-radius: 4px;
  padding: 0 0.2rem;
  margin-left: 0.5rem;
}

/* 提示框 */
.md-typeset .admonition.tip {
  background: rgba(112, 122, 138, 0.1);
  box-shadow: inset 5px 0px 0px #707A8A;
  border-radius: 0;
  border: none;
  padding: 0.5rem 1.5rem;
  color: #848E9C;
  font-size: 0.6rem;
}
.md-typeset .admonition.tip .admonition-title {
  font-size: 0.7rem;
  color: #fff;
  background: transparent;
}
.md-typeset .admonition.tip .admonition-title:before {
  background: url(../assets/images/icon-tip.png) 0 0 no-repeat !important;
  background-size: cover !important;
  -webkit-mask-image: none !important;
}
.md-typeset .admonition.tip .w {
  display: none;
}
.md-typeset .example>.admonition-title:before {
  background-color: #fff !important;
}
.md-typeset .example>.admonition-title {
  background: rgba(255, 255, 255, 0.1);
}
.md-typeset .admonition.example {
  border-color: #fff;
}
.md-typeset .admonition mark {
  color: #F2B200;
  background: transparent;
}

/* 警告框 */
.md-typeset .admonition.warning {
  border: none;
  background: rgba(255, 153, 0, 0.1);
  box-shadow: inset 5px 0px 0px #FF9900;
  border-radius: 0;
  padding: 0.5rem 1.5rem;
  color: #848E9C;
  font-size: 0.6rem;
}
.md-typeset .admonition.warning .admonition-title {
  background: transparent;
  font-size: 0.7rem;
  color: #fff;
}
.md-typeset .admonition.warning .admonition-title:before {
  background: url(../assets/images/icon-warn.png) 0 0 no-repeat !important;
  background-size: cover !important;
  -webkit-mask-image: none !important;
}

/* 右侧导航 */
.md-sidebar--secondary .md-sidebar__inner {
  border-left: 1px solid rgba(255, 255, 255, 0.12);
}
.md-sidebar--secondary .md-nav__link {
  margin-top: 0.7rem;
}
.md-sidebar--secondary .md-nav__title,
.md-sidebar--secondary .md-nav__item {
  padding: 0 1rem;
  box-shadow: none;
}

/* footer */
.md-footer {
  background: transparent;
}
.md-footer-meta {
  box-shadow: 0px -1px 0px rgba(255, 255, 255, 0.12);
}
.md-footer-meta__inner {
  justify-content: center;
}
.md-footer__inner {
  padding: 0;
}
.md-footer__link {
  flex: 1;
  margin: 0;
  height: 65px;
  border: 1px solid rgba(255, 255, 255, 0.16);
  border-radius: 4px;
  align-items: center;
  opacity: 1 !important;
}
.md-footer__link:not(:last-child) {
  margin-right: 0.5rem;
}
.md-footer__link:hover {
  border-color: var(--md-accent-fg-color);
}
.md-footer__button {
  display: none;
}
.md-footer__title {
  margin: 0;
  max-width: 100%;
}
.md-footer__direction {
  display: block;
  font-size: 0.7rem;
  color: #fff;
  line-height: 0.85rem;
  margin-bottom: 0.15rem;
}
.md-footer__title .md-ellipsis {
  font-size: 0.6rem;
  line-height: 0.7rem;
}

/* copyright */
.md-copyright {
  display: flex;
  justify-content: space-between;
}
.md-copyright__highlight {
  color: rgba(255, 255, 255, 0.5);
}
.md-copyright__highlight:not(:last-child) {
  margin-right: 1rem;
}

.md-typeset .admonition.note, .md-typeset details.note{
  border-color: #F2B200;
}

.md-typeset .note>.admonition-title:before, .md-typeset .note>summary:before{
  background-color: #F2B200;
}
